Gecode::Int::TaskViewArray< TaskView > Class Template Reference

Task view array. More...

`#include <task.hh>`

## Protected Types

typedef TaskViewTraits< TaskView >::Task | Task
| The underlying task type.

## Protected Attributes

TaskArray< Task > & | t
| Access to task array.

## Related Symbols

(Note that these are not member symbols.)
template<class Char, class Traits, class TaskView>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const TaskViewArray< TaskView > &t)
| Print array elements enclosed in curly brackets.

## Constructors and initialization

| TaskViewArray (TaskArray< Task > &t)
| Initialize from task array a.

## Array information

int | size (void) const
| Return size of array (number of elements).
void | size (int n)
| Set size of array (number of elements) to n, must not be larger.

## Array elements

TaskView & | operator[] (int i)
| Return task view at position i.
const TaskView & | operator[] (int i) const
| Return task view at position i.

## Detailed Description

template<class TaskView>
class Gecode::Int::TaskViewArray< TaskView >

Task view array.

Definition at line 233 of file task.hh.

## Member Typedef Documentation

## Task

template<class TaskView>

typedef TaskViewTraits<TaskView>::Task Gecode::Int::TaskViewArray< TaskView >::Task

protected

The underlying task type.

Definition at line 236 of file task.hh.

## Constructor & Destructor Documentation

## TaskViewArray()

template<class TaskView>

Gecode::Int::TaskViewArray< TaskView >::TaskViewArray | ( | TaskArray< Task > & | t | ) |

inline

Initialize from task array a.

Definition at line 137 of file array.hpp.

## Member Function Documentation

## size() [1/2]

template<class TaskView>

int Gecode::Int::TaskViewArray< TaskView >::size | ( | void |  | ) | const

inline

Return size of array (number of elements).

Definition at line 142 of file array.hpp.

## size() [2/2]

template<class TaskView>

void Gecode::Int::TaskViewArray< TaskView >::size | ( | int | n | ) |

inline

Set size of array (number of elements) to n, must not be larger.

Definition at line 148 of file array.hpp.

## operator[]() [1/2]

template<class TaskView>

TaskView & Gecode::Int::TaskViewArray< TaskView >::operator[] | ( | int | i | ) |

inline

Return task view at position i.

Definition at line 154 of file array.hpp.

## operator[]() [2/2]

template<class TaskView>

const TaskView & Gecode::Int::TaskViewArray< TaskView >::operator[] | ( | int | i | ) | const

inline

Return task view at position i.

Definition at line 159 of file array.hpp.

## Friends And Related Symbol Documentation

## operator<<()

template<class Char, class Traits, class TaskView>

std::basic_ostream< Char, Traits > & operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | const TaskViewArray< TaskView > & | t )

related

Print array elements enclosed in curly brackets.

Definition at line 159 of file array.hpp.

## Member Data Documentation

## t

template<class TaskView>

TaskArray<Task>& Gecode::Int::TaskViewArray< TaskView >::t

protected

Access to task array.

Definition at line 238 of file task.hh.

The documentation for this class was generated from the following files:

- gecode/int/task.hh
- gecode/int/task/array.hpp